Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyReflectedConstructor

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyReflectedFunction
                  |
                  +--org.python.core.PyReflectedConstructor

All Implemented Interfaces:
  java.io.Serializable

public class PyReflectedConstructor
extends PyReflectedFunction

See Also:
  Serialized Form

Field Summary
`static PyClass` | `__class__`

Fields inherited from class org.python.core.PyReflectedFunction
`__doc__, __name__, argslist, nargs`

Constructor Summary
`PyReflectedConstructor(java.lang.reflect.Constructor c)`
`PyReflectedConstructor(java.lang.String name)`

Method Summary
`PyObject` | `__call__(PyObject[] args, java.lang.String[] keywords)` The basic method to override when implementing a callable object.
`PyObject` | `__call__(PyObject self, PyObject[] args, java.lang.String[] keywords)` A variant of the __call__ method with one extra initial argument.
`void` | `addConstructor(java.lang.reflect.Constructor m)`
`java.lang.String` | `toString()`

Methods inherited from class org.python.core.PyReflectedFunction
`_doget, _doget, _doset, addMethod, copy, handles, printArgs`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### __class__

    public static PyClass __class__

Constructor Detail

### PyReflectedConstructor

    public PyReflectedConstructor(java.lang.String name)

### PyReflectedConstructor

    public PyReflectedConstructor(java.lang.reflect.Constructor c)

Method Detail

### addConstructor

    public void addConstructor(java.lang.reflect.Constructor m)

### __call__

    public PyObject __call__(PyObject self,
                             PyObject[] args,
                             java.lang.String[] keywords)

  Description copied from class: `PyObject`
  A variant of the __call__ method with one extra initial argument. This variant is used to allow method invocations to be performed efficiently. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyReflectedFunction`
  Parameters:
    `self` - the first argument to the function.
    `args` - the last arguments to the function (including keyword arguments).
    `keywords` - the keywords used for all keyword arguments.

### __call__

    public PyObject __call__(PyObject[] args,
                             java.lang.String[] keywords)

  Description copied from class: `PyObject`
  The basic method to override when implementing a callable object. The first len(args)-len(keywords) members of args[] are plain arguments. The last len(keywords) arguments are the values of the keyword arguments.

  Overrides:
    `__call__` in class `PyReflectedFunction`
  Parameters:
    `args` - all arguments to the function (including keyword arguments).
    `keywords` - the keywords used for all keyword arguments.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PyReflectedFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage